diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/IceFloeLargeFeature.java b/game/core/src/main/java/net/minecraft/core/world/generate/IceFloeLargeFeature.java
index 7becac3cd..327b0dff2 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/IceFloeLargeFeature.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/IceFloeLargeFeature.java
@@ -50,17 +50,15 @@ public class IceFloeLargeFeature
                 tilePos.set(Chunk.CHUNK_SIZE_X * baseChunkX + x, oceanY, Chunk.CHUNK_SIZE_Z * baseChunkZ + z);
                 final @NotNull Biome biome = world.getBlockBiome(tilePos);
                 if (biome == Biomes.OVERWORLD_GLACIER) {
-                    final float worleyScaleScale = 50.0f;
-                    final float worleyScale = 1.0f + (0.0625f - (float) (this.scaleNoise.getValue((baseChunkX * Chunk.CHUNK_SIZE_X + x) / worleyScaleScale, (baseChunkZ * Chunk.CHUNK_SIZE_Z + z) / worleyScaleScale))) * 0.125f;
                     this.chunkNoise.getValue(
-                        (baseChunkX + ((float) x / (float) Chunk.CHUNK_SIZE_X)) * worleyScale,
-                        (baseChunkZ + ((float) z / (float) Chunk.CHUNK_SIZE_Z)) * worleyScale,
+                        (baseChunkX + ((double) x / (double) Chunk.CHUNK_SIZE_X)),
+                        (baseChunkZ + ((double) z / (double) Chunk.CHUNK_SIZE_Z)),
                         worleyResult
                     );
-                    final float lineScale = 10.0f;
-                    final float lineWidth = (float) (this.gapNoise.getValue((baseChunkX * Chunk.CHUNK_SIZE_X + x) / lineScale, (baseChunkZ * Chunk.CHUNK_SIZE_Z + z) / lineScale) / 2.0 + 0.5);
+                    final double lineScale = 10.0;
+                    final double lineWidth = (this.gapNoise.getValue((baseChunkX * Chunk.CHUNK_SIZE_X + x) / lineScale, (baseChunkZ * Chunk.CHUNK_SIZE_Z + z) / lineScale) / 2.0 + 0.5);
                     if (MathHelper.unsignedMod(worleyResult.index, 15) != 0) {
-                        if (worleyResult.distance > 0.9f + lineWidth * 0.05f) {
+                        if (worleyResult.distance > 0.9 + lineWidth * 0.05) {
                             continue;
                         }
                         for (int y = oceanY - 3; y < oceanY; y++) {
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/LavaFloeLargeFeature.java b/game/core/src/main/java/net/minecraft/core/world/generate/LavaFloeLargeFeature.java
index 13b0dcf71..0358fc8aa 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/LavaFloeLargeFeature.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/LavaFloeLargeFeature.java
@@ -54,11 +54,9 @@ public class LavaFloeLargeFeature
                 tilePos.set(Chunk.CHUNK_SIZE_X * baseChunkX + x, oceanY, Chunk.CHUNK_SIZE_Z * baseChunkZ + z);
                 final @NotNull Biome biome = world.getBlockBiome(tilePos);
                 if (biome == Biomes.NETHER_VOLCANIC_ISLANDS) {
-                    final float worleyScaleScale = 50.0f;
-                    final float worleyScale = 1.0f + (0.0625f - (float) (this.scaleNoise.getValue((baseChunkX * Chunk.CHUNK_SIZE_X + x) / worleyScaleScale, (baseChunkZ * Chunk.CHUNK_SIZE_Z + z) / worleyScaleScale))) * 0.125f;
                     this.chunkNoise.getValue(
-                            (baseChunkX + ((float) x / (float) Chunk.CHUNK_SIZE_X)) * worleyScale,
-                            (baseChunkZ + ((float) z / (float) Chunk.CHUNK_SIZE_Z)) * worleyScale,
+                            (baseChunkX + ((float) x / (float) Chunk.CHUNK_SIZE_X)),
+                            (baseChunkZ + ((float) z / (float) Chunk.CHUNK_SIZE_Z)),
                             worleyResult
                     );
                     final float lineScale = 5.0f;
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/ShelfLargeFeature.java b/game/core/src/main/java/net/minecraft/core/world/generate/ShelfLargeFeature.java
index 7051d3134..fb8599d74 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/ShelfLargeFeature.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/ShelfLargeFeature.java
@@ -52,11 +52,9 @@ public class ShelfLargeFeature
                 tilePos.set(Chunk.CHUNK_SIZE_X * baseChunkX + x, oceanY, Chunk.CHUNK_SIZE_Z * baseChunkZ + z);
                 final @NotNull Biome biome = world.getBlockBiome(tilePos);
                 if (biome == Biomes.NETHER_SHELF) {
-                    final float worleyScaleScale = 50.0f;
-                    final float worleyScale = 1.0f + (0.0625f - (float) (this.scaleNoise.getValue((baseChunkX * Chunk.CHUNK_SIZE_X + x) / worleyScaleScale, (baseChunkZ * Chunk.CHUNK_SIZE_Z + z) / worleyScaleScale))) * 0.125f;
                     this.chunkNoise.getValue(
-                        (baseChunkX + ((float) x / (float) Chunk.CHUNK_SIZE_X)) * worleyScale,
-                        (baseChunkZ + ((float) z / (float) Chunk.CHUNK_SIZE_Z)) * worleyScale,
+                        (baseChunkX + ((float) x / (float) Chunk.CHUNK_SIZE_X)),
+                        (baseChunkZ + ((float) z / (float) Chunk.CHUNK_SIZE_Z)),
                         worleyResult
                     );
 
